> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger

> Trigger one manual run using the cron job's current target and retry policy.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/crons/{cronId}/runs
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/crons/{cronId}/runs:
    post:
      tags:
        - crons
      summary: Trigger
      description: >-
        Trigger one manual run using the cron job's current target and retry
        policy.
      operationId: crons.trigger
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: cronId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                idempotencyKey:
                  type: string
                  maxLength: 128
              additionalProperties: false
      responses:
        '202':
          description: Manual run queued.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  cronId:
                    type: string
                  source:
                    type: string
                    enum:
                      - scheduled
                      - manual
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - succeeded
                      - failed
                      - skipped
                  scheduledFor:
                    type: string
                    format: date-time
                  startedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  completedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  attemptCount:
                    type: integer
                  responseStatus:
                    type:
                      - integer
                      - 'null'
                  error:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - cronId
                  - source
                  - status
                  - scheduledFor
                  - startedAt
                  - completedAt
                  - attemptCount
                  - responseStatus
                  - error
        '404':
          description: No such cron job in this project.
        '409':
          description: Concurrency policy skipped or replaced the requested run.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````